## xbmc-pvr-addons 12.0+79+ge1c3fb1+dfsg1

=== lib/jsoncpp/SConstruct ===
"""
Build system can be clean-up by sticking to a few core production factory, with automatic dependencies resolution.
4 basic project productions:
- library
- binary
- documentation
- tests

* Library:
  Input:
    - dependencies (other libraries)
    - headers: include path & files
    - sources
    - generated sources
    - resources
    - generated resources
  Production:
    - Static library
    - Dynamic library
    - Naming rule
  Life-cycle:
    - Library compilation
    - Compilation as a dependencies
    - Run-time
    - Packaging
  Identity:
    - Name
    - Version
* Binary:
  Input:
    - dependencies (other libraries)
    - headers: include path & files (usually empty)
    - sources
    - generated sources
    - resources
    - generated resources
    - supported variant (optimized/debug, dll/static...)
  Production:
    - Binary executable
    - Manifest [on some platforms]
    - Debug symbol [on some platforms]
  Life-cycle:
    - Compilation
    - Run-time
    - Packaging
  Identity:
    - Name
    - Version
* Documentation:
  Input:
    - dependencies (libraries, binaries)
    - additional sources
    - generated sources
    - resources
    - generated resources
    - supported variant (public/internal)
  Production:
    - HTML documentation
    - PDF documentation
    - CHM documentation
  Life-cycle:
    - Documentation
    - Packaging
    - Test
  Identity:
    - Name
    - Version
"""



import os
import os.path
import sys

JSONCPP_VERSION = '0.2'
DIST_DIR = '#dist'

options = Variables()
options.Add( EnumVariable('platform',
                        'Platform (compiler/stl) used to build the project',
                        'msvc71',
                        allowed_values='suncc vacpp mingw msvc6 msvc7 msvc71 msvc80 linux-gcc'.split(),
                        ignorecase=2) )

try:
    platform = ARGUMENTS['platform']
    if platform == 'linux-gcc':
        CXX = 'g++' # not quite right, but env is not yet available.
        import commands
        version = commands.getoutput('%s -dumpversion' %CXX)
        platform = 'linux-gcc-%s' %version
        print "Using platform '%s'" %platform
        LD_LIBRARY_PATH = os.environ.get('LD_LIBRARY_PATH', '')
        LD_LIBRARY_PATH = "%s:libs/%s" %(LD_LIBRARY_PATH, platform)
        os.environ['LD_LIBRARY_PATH'] = LD_LIBRARY_PATH
        print "LD_LIBRARY_PATH =", LD_LIBRARY_PATH
except KeyError:
    print 'You must specify a "platform"'
    sys.exit(2)

print "Building using PLATFORM =", platform

rootbuild_dir = Dir('#buildscons')
build_dir = os.path.join( '#buildscons', platform )
bin_dir = os.path.join( '#bin', platform )
lib_dir = os.path.join( '#libs', platform )
sconsign_dir_path = Dir(build_dir).abspath
sconsign_path = os.path.join( sconsign_dir_path, '.sconsign.dbm' )

# Ensure build directory exist (SConsignFile fail otherwise!)
if not os.path.exists( sconsign_dir_path ):
    os.makedirs( sconsign_dir_path )

# Store all dependencies signature in a database
SConsignFile( sconsign_path )

def make_environ_vars():
	"""Returns a dictionnary with environment variable to use when compiling."""
	# PATH is required to find the compiler
	# TEMP is required for at least mingw
	vars = {}
	for name in ('PATH', 'TEMP', 'TMP'):
		if name in os.environ:
			vars[name] = os.environ[name]
	return vars
	

env = Environment( ENV = make_environ_vars(),
                   toolpath = ['scons-tools'],
                   tools=[] ) #, tools=['default'] )

if platform == 'suncc':
    env.Tool( 'sunc++' )
    env.Tool( 'sunlink' )
    env.Tool( 'sunar' )
    env.Append( CCFLAGS = ['-mt'] )
elif platform == 'vacpp':
    env.Tool( 'default' )
    env.Tool( 'aixcc' )
    env['CXX'] = 'xlC_r'   #scons does not pick-up the correct one !
    # using xlC_r ensure multi-threading is enabled:
    # http://publib.boulder.ibm.com/infocenter/pseries/index.jsp?topic=/com.ibm.vacpp7a.doc/compiler/ref/cuselect.htm
    env.Append( CCFLAGS = '-qrtti=all',
                LINKFLAGS='-bh:5' )  # -bh:5 remove duplicate symbol warning
elif platform == 'msvc6':
    env['MSVS_VERSION']='6.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc70':
    env['MSVS_VERSION']='7.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc71':
    env['MSVS_VERSION']='7.1'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -GX /nologo /MT'
elif platform == 'msvc80':
    env['MSVS_VERSION']='8.0'
    for tool in ['msvc', 'msvs', 'mslink', 'masm', 'mslib']:
        env.Tool( tool )
    env['CXXFLAGS']='-GR -EHsc /nologo /MT'
elif platform == 'mingw':
    env.Tool( 'mingw' )
    env.Append( CPPDEFINES=[ "WIN32", "NDEBUG", "_MT" ] )
elif platform.startswith('linux-gcc'):
    env.Tool( 'default' )
    env.Append( LIBS = ['pthread'], CCFLAGS = "-Wall" )
    env['SHARED_LIB_ENABLED'] = True
else:
    print "UNSUPPORTED PLATFORM."
    env.Exit(1)

env.Tool('doxygen')
env.Tool('substinfile')
env.Tool('targz')
env.Tool('srcdist')
env.Tool('globtool')

env.Append( CPPPATH = ['#include'],
            LIBPATH = lib_dir )
short_platform = platform
if short_platform.startswith('msvc'):
    short_platform = short_platform[2:]
# Notes: on Windows you need to rebuild the source for each variant
# Build script does not support that yet so we only build static libraries.
# This also fails on AIX because both dynamic and static library ends with
# extension .a.
env['SHARED_LIB_ENABLED'] = env.get('SHARED_LIB_ENABLED', False)
env['LIB_PLATFORM'] = short_platform
env['LIB_LINK_TYPE'] = 'lib'    # static
env['LIB_CRUNTIME'] = 'mt'
env['LIB_NAME_SUFFIX'] = '${LIB_PLATFORM}_${LIB_LINK_TYPE}${LIB_CRUNTIME}'  # must match autolink naming convention
env['JSONCPP_VERSION'] = JSONCPP_VERSION
env['BUILD_DIR'] = env.Dir(build_dir)
env['ROOTBUILD_DIR'] = env.Dir(rootbuild_dir)
env['DIST_DIR'] = DIST_DIR
if 'TarGz' in env['BUILDERS']:
	class SrcDistAdder:
		def __init__( self, env ):
			self.env = env
		def __call__( self, *args, **kw ):
			apply( self.env.SrcDist, (self.env['SRCDIST_TARGET'],) + args, kw )
	env['SRCDIST_BUILDER'] = env.TarGz
else: # If tarfile module is missing
	class SrcDistAdder:
		def __init__( self, env ):
			pass
		def __call__( self, *args, **kw ):
			pass
env['SRCDIST_ADD'] = SrcDistAdder( env )
env['SRCDIST_TARGET'] = os.path.join( DIST_DIR, 'jsoncpp-src-%s.tar.gz' % env['JSONCPP_VERSION'] )
                      
env_testing = env.Clone( )
env_testing.Append( LIBS = ['json_${LIB_NAME_SUFFIX}'] )

def buildJSONExample( env, target_sources, target_name ):
    env = env.Clone()
    env.Append( CPPPATH = ['#'] )
    exe = env.Program( target=target_name,
                       source=target_sources )
    env['SRCDIST_ADD']( source=[target_sources] )
    global bin_dir
    return env.Install( bin_dir, exe )

def buildJSONTests( env, target_sources, target_name ):
    jsontests_node = buildJSONExample( env, target_sources, target_name )
    check_alias_target = env.Alias( 'check', jsontests_node, RunJSONTests( jsontests_node, jsontests_node ) )
    env.AlwaysBuild( check_alias_target )

def buildUnitTests( env, target_sources, target_name ):
    jsontests_node = buildJSONExample( env, target_sources, target_name )
    check_alias_target = env.Alias( 'check', jsontests_node, 
                                    RunUnitTests( jsontests_node, jsontests_node ) )
    env.AlwaysBuild( check_alias_target )

def buildLibrary( env, target_sources, target_name ):
    static_lib = env.StaticLibrary( target=target_name + '_${LIB_NAME_SUFFIX}',
                                    source=target_sources )
    global lib_dir
    env.Install( lib_dir, static_lib )
    if env['SHARED_LIB_ENABLED']:
        shared_lib = env.SharedLibrary( target=target_name + '_${LIB_NAME_SUFFIX}',
                                        source=target_sources )
        env.Install( lib_dir, shared_lib )
    env['SRCDIST_ADD']( source=[target_sources] )

Export( 'env env_testing buildJSONExample buildLibrary buildJSONTests buildUnitTests' )

def buildProjectInDirectory( target_directory ):
    global build_dir
    target_build_dir = os.path.join( build_dir, target_directory )
    target = os.path.join( target_directory, 'sconscript' )
    SConscript( target, build_dir=target_build_dir, duplicate=0 )
    env['SRCDIST_ADD']( source=[target] )


def runJSONTests_action( target, source = None, env = None ):
    # Add test scripts to python path
    jsontest_path = Dir( '#test' ).abspath
    sys.path.insert( 0, jsontest_path )
    data_path = os.path.join( jsontest_path, 'data' )
    import runjsontests
    return runjsontests.runAllTests( os.path.abspath(source[0].path), data_path )

def runJSONTests_string( target, source = None, env = None ):
    return 'RunJSONTests("%s")' % source[0]

import SCons.Action
ActionFactory = SCons.Action.ActionFactory
RunJSONTests = ActionFactory(runJSONTests_action, runJSONTests_string )

def runUnitTests_action( target, source = None, env = None ):
    # Add test scripts to python path
    jsontest_path = Dir( '#test' ).abspath
    sys.path.insert( 0, jsontest_path )
    import rununittests
    return rununittests.runAllTests( os.path.abspath(source[0].path) )

def runUnitTests_string( target, source = None, env = None ):
    return 'RunUnitTests("%s")' % source[0]

RunUnitTests = ActionFactory(runUnitTests_action, runUnitTests_string )

env.Alias( 'check' )

srcdist_cmd = env['SRCDIST_ADD']( source = """
    AUTHORS README.txt SConstruct
    """.split() )
env.Alias( 'src-dist', srcdist_cmd )

buildProjectInDirectory( 'src/jsontestrunner' )
buildProjectInDirectory( 'src/lib_json' )
buildProjectInDirectory( 'src/test_lib_json' )
buildProjectInDirectory( 'doc' )
#print env.Dump()

=== addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver/Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = vnsiserver3

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' vnsi.h | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR ?= $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)
ifeq ($(strip $(APIVERSION)),)
APIVERSION = $(shell grep 'define APIVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
NOCONFIG := 1
endif

# backwards compatibility version < 1.7.34
API1733 := $(shell if [ "$(APIVERSION)" \< "1.7.34" ]; then echo true; fi; )

ifdef API1733

VDRSRC = $(VDRDIR)
VDRSRC ?= ../../..
ifeq ($(strip $(LIBDIR)),)
LIBDIR = $(VDRSRC)/PLUGINS/lib
endif

ifndef NOCONFIG
CXXFLAGS = $(call PKGCFG,cflags)
CXXFLAGS += -fPIC
else
-include $(VDRSRC)/Make.global
-include $(VDRSRC)/Make.config
endif

export CXXFLAGS
else

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)
endif

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

ifdef API1733
INCLUDES += -I$(VDRSRC)/include
endif

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DVNSI_SERVER_VERSION='"$(VERSION)"'

ifeq ($(DEBUG),1)
DEFINES += -DDEBUG
endif

### The object files (add further files here):

OBJS = vnsi.o bitstream.o vnsiclient.o config.o cxsocket.o parser.o parser_AAC.o \
       parser_AC3.o parser_DTS.o parser_h264.o parser_MPEGAudio.o parser_MPEGVideo.o \
       parser_Subtitle.o parser_Teletext.o streamer.o recplayer.o requestpacket.o responsepacket.o \
       vnsiserver.o hash.o recordingscache.o setup.o vnsiosd.o demuxer.o videobuffer.o \
       videoinput.o

### The main target:

ifdef API1733
all: install-lib
else
all: $(SOFILE)
endif
#

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@

install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

compile: $(SOFILE)

=== debian/changelog ===
xbmc-pvr-addons (12.0+79+ge1c3fb1+dfsg1-5~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 02 Jun 2014 09:33:47 +0700

xbmc-pvr-addons (12.0+79+ge1c3fb1+dfsg1-5) unstable; urgency=low

  * Fix versioned xbmc dependency generation
  * Build-depend on xbmc-bin.
    This blocks building on architectures where xbmc-bin is not present and
    the addons would be useless anyway.
  * Fix dpkg-gencontrol's unused substitution variable warnings

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 08 May 2014 12:53:48 +0200

xbmc-pvr-addons (12.0+79+ge1c3fb1+dfsg1-4) unstable; urgency=low

  * Properly credit Wolfgang Schupp for initial packaging. Thank you
    for both the initial work and the maintenance!
  * Make vdr-plugin-vnsiserver only suggest xbmc.
    This allows running them on different machines without installing
    full XBMC on both. (Closes: #743619)
  * Use XBMC Addons headers from xbmc-addons-dev.
    Also build-depend on xbmc-addons-dev and make binary packages depend
    on xbmc with version of xbmc-addons-dev or higher.
  * Fix using pkg-config when building vdr-plugin-vnsiserver (Closes: #745712)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 07 Apr 2014 13:02:24 +0200

xbmc-pvr-addons (12.0+79+ge1c3fb1+dfsg1-3) unstable; urgency=low

  * Add missing license texts in debian/copyright to keep lintian and
    FTP Masters happy :-)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 01 Apr 2014 13:19:42 +0200

xbmc-pvr-addons (12.0+79+ge1c3fb1+dfsg1-2) unstable; urgency=low

  * Fix missing copyright information in debian/copyright

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 31 Mar 2014 12:20:52 +0200

xbmc-pvr-addons (12.0+79+ge1c3fb1+dfsg1-1) unstable; urgency=low

  * Drop xmlParser.* from original tarball due to their non-free license
  * Disable shipping dvbviewer plugin until it builds without xmlParser.cpp
  * Make package team-maintained by Debian Multimedia Team

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 28 Mar 2014 16:47:10 +0100

xbmc-pvr-addons (12.0+79+ge1c3fb1-2) unstable; urgency=low

  * Don't leave directories on system after purging vdr-plugin-vnsiserver
  * Make each addon depend on xbmc

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 13 Mar 2014 11:46:13 +0100

xbmc-pvr-addons (12.0+79+ge1c3fb1-1) unstable; urgency=low

  * Bump compat version to 9
  * Fix permissions on installed files
  * Use system's libtinyxml
  * Strip .pvr files
  * Fix lintian warnings about package descriptions
  * Don't install extra license files
  * One more lintian fix for too long description lines
  * Move packaging to Alioth and set myself as maintainer in Debian
    (Closes: #741106)
    - Thank you wsnipex for creating and maintaining the package
  * Bump standards version to 3.9.5, no changes needed
  * Update copyrights
  * Use system's avcodec.h
  * Build-depend on libavcodec-dev

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 12 Mar 2014 21:08:24 +0100

xbmc-pvr-addons (1.0.0-1) unstable; urgency=low

  [Wolfgang Schupp]
  * makefile
  * Initial release

 -- wsnipex <wsnipex@a1.net>  Fri, 21 Dec 2012 11:06:07 +0100

=== debian/control ===
Source: xbmc-pvr-addons
Section: video
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9), autoconf, autopoint | gettext, automake, libtool, libboost-thread-dev, libmysqlclient-dev, pkg-config, vdr-dev (>= 1.7.17), libtinyxml-dev (>= 2.6.2), libjsoncpp-dev,  libavcodec-dev, xbmc-addons-dev, xbmc-bin
Standards-Version: 3.9.5
Homepage: https://github.com/opdenkamp/xbmc-pvr-addons.git
Vcs-Git: git://git.debian.org/pkg-multimedia/xbmc-pvr-addons.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xbmc-pvr-addons.git

Package: xbmc-pvr-mythtv-cmyth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}, libmysqlclient19 | libmysqlclient18 | libmysqlclient17 | libmysqlclient16 | libmysqlclient15 | libmysqlclient14
Description: XBMC PVR Addon MythTv - Cmyth
 This package contains the Cmyth PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

Package: xbmc-pvr-vuplus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon Vuplus
 This package contains the Vuplus PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

Package: xbmc-pvr-vdr-vnsi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon VDR Vnsi
 This package contains the VDR Vnsi PVR (Personal Video Recorder) Addon for
 XBMC, the award winning free and open source software media-player and
 entertainment hub for all your digital media

Package: vdr-plugin-vnsiserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: xbmc (>= 2:12)
Description: VDR-Network-Streaming-Interface
 VDR-Network-Streaming-Interface plugin for VDR

Package: xbmc-pvr-njoy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon Njoy
 This package contains the Njoy PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and
 entertainment hub for all your digital media

Package: xbmc-pvr-nextpvr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon NextPvr
 This package contains the NextPvr PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

Package: xbmc-pvr-mediaportal-tvserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon Mediaportal Tvserver
 This package contains the Mediaportal PVR (Personal Video Recorder) Addon for
 XBMC, the award winning free and open source software media-player and
 entertainment hub for all your digital media

Package: xbmc-pvr-tvheadend-hts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon TvHeadend Hts
 This package contains the TvHeadend PVR (Personal Video Recorder) Addon for
 XBMC, the award winning free and open source software media-player and
 entertainment hub for all your digital media

# Package: xbmc-pvr-dvbviewer
# Architecture: any
# Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
# Description: XBMC PVR Addon Dvbviewer
#  This package contains the Dvbviewer PVR (Personal Video Recorder) Addon for
#  XBMC, the award winning free and open source software media-player and
#  entertainment hub for all your digital media

Package: xbmc-pvr-argustv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon Argustv
 This package contains the Argustv PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

Package: xbmc-pvr-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Demo Addon
 This package contains the Demo PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

Package: xbmc-pvr-iptvsimple
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Iptv Addon
 This package contains the Iptv PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS +=-I/usr/include/libavcodec -I/usr/include/xbmc
CPPFLAGS +=-I/usr/include/libavcodec -I/usr/include/xbmc
XBMC_VERSION = $(shell dpkg-query -W -f='$${Version}' xbmc-addons-dev)

%:
	dh $@ --parallel

override_dh_clean:
	dh_clean
	find . \( -name "*.pvr" -o -name "config.status" -o -name "config.cache" -o -name "config.log" \
	-o -name "config.guess" -o -name "config.sub" -o -name "Makefile.in" -o -name "INSTALL" \
	-o -name "aclocal.m4" -o -name "configure" -o -name "depcomp" -o -name "install-sh"  \
	-o -name "ltmain.sh" -o -name "missing" -o -name "libvdr-*.so.*" \
	 \) -exec rm -f "{}" \;
	$(MAKE) clean -C addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver

override_dh_auto_configure:
	rm lib/tinyxml/tiny*
	rm -rf xbmc
	./bootstrap
	./configure --prefix=/usr --enable-addons-with-dependencies --enable-release

override_dh_gencontrol:
	sh /usr/share/vdr-dev/dependencies.sh
	sed -i 's/^vdr:Depends/# vdr:Depends/' $(CURDIR)/debian/xbmc-*.substvars
	for i in $(CURDIR)/debian/substvars $(CURDIR)/debian/xbmc-*.substvars ; do echo "xbmc-addons-abi:Depends=xbmc (>= $(XBMC_VERSION))" >> $$i; done
	dh_gencontrol

override_dh_shlibdeps:
	dh_shlibdeps
	chmod -x $(CURDIR)/debian/xbmc-pvr-*/usr/lib/xbmc/addons/pvr.*/*.pvr

override_dh_auto_build:
	#cd addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver
	VDRDIR=/usr/include/vdr LIBDIR=$(CURDIR)/debian/vdr-plugin-vnsiserver/usr/lib/vdr/plugins LOCALEDIR=locale $(MAKE) CXXFLAGS="$(CXXFLAGS) -fPIC" CFLAGS="$(CFLAGS)" compile -C addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver
	dh_auto_build

override_dh_install:
	 dh_install -XLICENSE.txt

override_dh_auto_install:
	VDRDIR=/usr/include/vdr LIBDIR=$(CURDIR)/debian/vdr-plugin-vnsiserver/usr/lib/vdr/plugins LOCALEDIR=locale $(MAKE) install-lib -C addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver
	dh_auto_install
	find $(CURDIR)/debian/tmp/usr/share/xbmc $(CURDIR)/debian/tmp/usr/lib/xbmc -type f -exec chmod 644 "{}" \;
	chmod +x $(CURDIR)/debian/tmp/usr/lib/xbmc/addons/pvr.*/*.pvr

## xbmc-pvr-addons 13.0%2Bgit20140512%2Bg91cc731%2Bdfsg1

=== debian/changelog ===
xbmc-pvr-addons (13.0+git20140512+g91cc731+dfsg1-3) unstable; urgency=medium

  * Drop demo PVR addon package
  * Convert binary packages to transitional ones to Kodi PVR addons
    (Closes: #800058)
  * Bump standards version to 3.9.6

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 18 Dec 2015 21:12:30 +0100

xbmc-pvr-addons (13.0+git20140512+g91cc731+dfsg1-2) unstable; urgency=low

  [ Balint Reczey ]
  * Stop build-depending on libavcodec-dev (Closes: #755818)

  [ James Cowgill ]
  * Fix build on MIPS by using generic atomics (Closes: #778830)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 22 Feb 2015 19:46:50 +0100

xbmc-pvr-addons (13.0+git20140512+g91cc731+dfsg1-1) unstable; urgency=low

  * New upstream snapshot
    - New upstream release compatible with XBMC 13.0 Gotham
    - Additional fix for segfault when showing scan dialog if VDR is not
      connected
  * Stop shipping vdr-plugin-vnsiserver
  * Refresh patches
  * Fix FTBFS due to unsafe usage of snprintf()
  * Ship new Windows Media Center Addon as xbmc-pvr-wmc
  * Build xbmc-pvr-dvbviewer (Closes: #743314)
  * Use versioned dependency on xbmc-addons-dev to have all the needed headers
  * debian/copyright: Add libdvblinkremote's license
  * Buid-depend on libtinyxml2-dev

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 May 2014 02:00:00 +0700

=== debian/control ===
Source: xbmc-pvr-addons
Section: video
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9~),
               kodi-bin
Standards-Version: 3.9.6
Homepage: https://github.com/opdenkamp/xbmc-pvr-addons.git
Vcs-Git: git://git.debian.org/pkg-multimedia/xbmc-pvr-addons.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xbmc-pvr-addons.git

Package: xbmc-pvr-mythtv-cmyth
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-mythtv
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: xbmc-pvr-vuplus
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-vuplus
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: xbmc-pvr-vdr-vnsi
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-vdr-vnsi
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: xbmc-pvr-njoy
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-njoy
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: xbmc-pvr-nextpvr
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-nextpvr
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: xbmc-pvr-mediaportal-tvserver
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-mediaportal-tvserver
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: xbmc-pvr-wmc
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-wmc
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: xbmc-pvr-tvheadend-hts
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-hts
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: xbmc-pvr-dvbviewer
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-dvbviewer
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: xbmc-pvr-argustv
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-argustv
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: xbmc-pvr-iptvsimple
Architecture: any
Depends: ${misc:Depends}, kodi-pvr-iptvsimple
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## xbmc-pvr-addons 13.0+git20140512+g91cc731+dfsg1

=== tools/rbp/Makefile ===
include Makefile.include
include depends.mk

SOURCE=../../

ifeq ($(USE_BUILDROOT),1)
	export PATH:=$(PREFIX)/bin:$(BUILDROOT)/output/host/usr/bin:$(SYSROOT)/usr/bin:$(PATH)
endif

CONFIGURE=./configure --prefix=$(PREFIX) --build=$(BUILD) --host=$(HOST)

all: configure

clean:
distclean:
	cd $(SOURCE);

configure:
	cd $(SOURCE); ./bootstrap
	cd $(SOURCE); $(CONFIGURE)
	cd $(SOURCE); make -j $(JOBS)
	cd $(SOURCE); make install
	cd $(SOURCE); make zip

=== debian/changelog ===
xbmc-pvr-addons (13.0+git20140512+g91cc731+dfsg1-2build1) wily; urgency=medium

  * No-change rebuild against libjsoncpp0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 16:55:29 +0000

=== debian/control ===
Source: xbmc-pvr-addons
Section: video
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9), autoconf, autopoint | gettext, automake, libtool, libboost-thread-dev, libmysqlclient-dev, pkg-config, libtinyxml-dev (>= 2.6.2), libtinyxml2-dev, libjsoncpp-dev, xbmc-addons-dev (>= 2:13.1~beta2+dfsg1~), xbmc-bin
Standards-Version: 3.9.5
Homepage: https://github.com/opdenkamp/xbmc-pvr-addons.git
Vcs-Git: git://git.debian.org/pkg-multimedia/xbmc-pvr-addons.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/xbmc-pvr-addons.git

Package: xbmc-pvr-mythtv-cmyth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}, libmysqlclient19 | libmysqlclient18 | libmysqlclient17 | libmysqlclient16 | libmysqlclient15 | libmysqlclient14
Description: XBMC PVR Addon MythTv - Cmyth
 This package contains the Cmyth PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

Package: xbmc-pvr-vuplus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon Vuplus
 This package contains the Vuplus PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

Package: xbmc-pvr-vdr-vnsi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon VDR Vnsi
 This package contains the VDR Vnsi PVR (Personal Video Recorder) Addon for
 XBMC, the award winning free and open source software media-player and
 entertainment hub for all your digital media

Package: xbmc-pvr-njoy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon Njoy
 This package contains the Njoy PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and
 entertainment hub for all your digital media

Package: xbmc-pvr-nextpvr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon NextPvr
 This package contains the NextPvr PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

Package: xbmc-pvr-mediaportal-tvserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon Mediaportal Tvserver
 This package contains the Mediaportal PVR (Personal Video Recorder) Addon for
 XBMC, the award winning free and open source software media-player and
 entertainment hub for all your digital media

Package: xbmc-pvr-wmc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon Windows Media Center
 This package contains the Windows Media Center Addon for
 XBMC, the award winning free and open source software media-player and
 entertainment hub for all your digital media

Package: xbmc-pvr-tvheadend-hts
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon TvHeadend Hts
 This package contains the TvHeadend PVR (Personal Video Recorder) Addon for
 XBMC, the award winning free and open source software media-player and
 entertainment hub for all your digital media

Package: xbmc-pvr-dvbviewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon Dvbviewer
 This package contains the Dvbviewer PVR (Personal Video Recorder) Addon for
 XBMC, the award winning free and open source software media-player and
 entertainment hub for all your digital media

Package: xbmc-pvr-argustv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Addon Argustv
 This package contains the Argustv PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

Package: xbmc-pvr-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Demo Addon
 This package contains the Demo PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

Package: xbmc-pvr-iptvsimple
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
Description: XBMC PVR Iptv Addon
 This package contains the Iptv PVR (Personal Video Recorder) Addon for XBMC,
 the award winning free and open source software media-player and entertainment
 hub for all your digital media

=== debian/rules ===
--- 
+++ 
@@ -28,19 +28,14 @@
 	find . \( -name "*.pvr" -o -name "config.status" -o -name "config.cache" -o -name "config.log" \
 	-o -name "config.guess" -o -name "config.sub" -o -name "Makefile.in" -o -name "INSTALL" \
 	-o -name "aclocal.m4" -o -name "configure" -o -name "depcomp" -o -name "install-sh"  \
-	-o -name "ltmain.sh" -o -name "missing" -o -name "libvdr-*.so.*" \
+	-o -name "ltmain.sh" -o -name "missing" \
 	 \) -exec rm -f "{}" \;
-	$(MAKE) clean -C addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver
 
 override_dh_auto_configure:
-	rm lib/tinyxml/tiny*
-	rm -rf xbmc
 	./bootstrap
 	./configure --prefix=/usr --enable-addons-with-dependencies --enable-release
 
 override_dh_gencontrol:
-	sh /usr/share/vdr-dev/dependencies.sh
-	sed -i 's/^vdr:Depends/# vdr:Depends/' $(CURDIR)/debian/xbmc-*.substvars
 	for i in $(CURDIR)/debian/substvars $(CURDIR)/debian/xbmc-*.substvars ; do echo "xbmc-addons-abi:Depends=xbmc (>= $(XBMC_VERSION))" >> $$i; done
 	dh_gencontrol
 
@@ -48,16 +43,10 @@
 	dh_shlibdeps
 	chmod -x $(CURDIR)/debian/xbmc-pvr-*/usr/lib/xbmc/addons/pvr.*/*.pvr
 
-override_dh_auto_build:
-	#cd addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver
-	VDRDIR=/usr/include/vdr LIBDIR=$(CURDIR)/debian/vdr-plugin-vnsiserver/usr/lib/vdr/plugins LOCALEDIR=locale $(MAKE) CXXFLAGS="$(CXXFLAGS) -fPIC" CFLAGS="$(CFLAGS)" compile -C addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver
-	dh_auto_build
-
 override_dh_install:
 	 dh_install -XLICENSE.txt
 
 override_dh_auto_install:
-	VDRDIR=/usr/include/vdr LIBDIR=$(CURDIR)/debian/vdr-plugin-vnsiserver/usr/lib/vdr/plugins LOCALEDIR=locale $(MAKE) install-lib -C addons/pvr.vdr.vnsi/vdr-plugin-vnsiserver
 	dh_auto_install
 	find $(CURDIR)/debian/tmp/usr/share/xbmc $(CURDIR)/debian/tmp/usr/lib/xbmc -type f -exec chmod 644 "{}" \;
 	chmod +x $(CURDIR)/debian/tmp/usr/lib/xbmc/addons/pvr.*/*.pvr
